Mycodo, tek kartlı bilgisayarlarda, özellikle de [Raspberry Pi](https://en.wikipedia.org/wiki/Raspberry_Pi) üzerinde çalışmak üzere inşa edilmiş açık kaynaklı bir çevresel izleme ve düzenleme sistemidir.

Başlangıçta yenilebilir mantar yetiştirmek için geliştirilen Mycodo, çok daha fazlasını yapmak için büyüdü. Sistem, bir arka uç (daemon) ve bir ön uç (web sunucusu) olmak üzere iki bölümden oluşmaktadır. Arka uç, sensörlerden ve cihazlardan ölçümler almak ve bu ölçümlere verilen, çıkışları modüle etme (röleleri değiştirme, PWM sinyalleri üretme, pompaları çalıştırma, kablosuz çıkışları değiştirme, MQTT'ye yayınlama/abone olma ve diğerleri), PID kontrolü ile çevresel koşulları düzenleme, zamanlayıcıları zamanlama, fotoğraf çekme ve video akışı, ölçümler belirli koşulları karşıladığında eylemleri tetikleme ve daha fazlası dahil olmak üzere çeşitli yanıtları koordine etme gibi görevleri yerine getirir. Ön uç, tarayıcı özellikli herhangi bir cihazdan görüntüleme ve yapılandırma sağlayan bir web arayüzü barındırır.

Mycodo'nun çok sayıda farklı kullanım alanı vardır. Bazı kullanıcılar koşulları uzaktan izlemek için sensör ölçümlerini depolarken, diğerleri fiziksel bir alanın çevresel koşullarını düzenliyor, diğerleri ise diğer kullanımların yanı sıra hareketle etkinleştirilen veya hızlandırılmış fotoğraf çekiyor.

Giriş denetleyicileri ölçümleri alır ve bunları InfluxDB zaman serisi veritabanında depolar. Ölçümler genellikle sensörlerden gelir, ancak Linux Bash veya Python komutlarının veya matematik denklemlerinin dönüş değerini kullanmak üzere de yapılandırılabilir, bu da bunu veri elde etmek ve üretmek için çok dinamik bir sistem haline getirir.

Çıkış denetleyicileri genel giriş/çıkış (GPIO) pinlerinde değişiklikler üretir veya Linux Bash veya Python komutlarını yürütecek şekilde yapılandırılarak çeşitli potansiyel kullanımlara olanak sağlar. Birkaç farklı çıkış türü vardır: GPIO pinlerinin basit anahtarlanması (YÜKSEK/DÜŞÜK), darbe genişliği modülasyonlu (PWM) sinyaller üretme, peristaltik pompaları kontrol etme, MQTT yayınlama ve daha fazlası.

Girişler ve Çıkışlar birleştirildiğinde, Fonksiyon kontrolörleri, Girişin ölçtüğü bir çevresel koşulu modüle etmek için Çıkış cihazını kullanan geri besleme döngüleri oluşturmak için kullanılabilir. Çeşitli farklı kontrol ve düzenleme uygulamaları oluşturmak için belirli Girişler belirli Çıkışlarla birleştirilebilir. Basit düzenlemenin ötesinde, Yöntemler zaman içinde değişen bir ayar noktası oluşturmak için kullanılabilir, bu da termal döngüler, yeniden akış fırınları, teraryumlar için çevresel simülasyon, yiyecek ve içecek fermantasyonu veya kürleme ve yiyecek pişirme ([sous-vide](https://en.wikipedia.org/wiki/Sous-vide)) gibi şeyleri mümkün kılar.

Tetikleyiciler, belirli tarih ve saatlere, zaman sürelerine veya belirli bir enlem ve boylamda güneşin doğuşuna/ batışına göre olayları etkinleştirmek üzere ayarlanabilir.

Mycodo has been translated to several languages. By default, the language of the browser will determine which language is used, but may be overridden in the General Settings, on the `[Gear Icon] -> Configure -> General` page. If you find an issue and would like to correct a translation or would like to add another language, this can be done at [https://translate.kylegabriel.com](https://translate.kylegabriel.com/engage/mycodo/).
